<?php
/**
 * @package SJ Zoo Frontpage
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
 defined('_JEXEC') or die;
class ZooFrontPageReader extends SjReader {	
	
	function getList(& $params) {
            $items =array();
            $list = array();
            if (!isset($params['source']) || empty($params['source'])){
				$this->errors = "No selected or all selected is unpublished.";
				return array();
			}	
			$items = $this->zoo->getCategoryItems($params['source'], $params);
            if(!empty($items)) {
    				$arrcustom_url=array();
    				$arrcustom_url = $this->_getCustomUrl($params['custom_url']);
    				foreach($items as $key => $item){
    				    $temp = array();
                        $this->zoo->getItemDescription($item,$params);
                        if (!$this->zoo->getItemImage($item,$params) || $item->image==false){
    						$image_url = 'modules/' . YTools::getModule()->module . '/assets/images/nophoto.gif';					
    						$item->image =$image_url;
    					}				
    					if(array_key_exists($item->id, $arrcustom_url)){
    						$item->link = $arrcustom_url[$item->id];					
    					} else {
    						$item->link = $this->zoo->getItemUrl($item);
    					}
                        YTools::extractImages($item->description);                       
    					$temp['id'] = $item->id;
    					$temp['title'] = $item->title;
    					$temp['image'] = $item->image;
    					$temp['link'] = $item->link;
                        $temp['content']  = $item->description;
                        $temp['publish'] = $item->publish_up;
    					$list[] = $temp;
    				}
                    return $list;
			}
        }		

    	private function _getCustomUrl($custom_url) {     
        	$arrUrl = array();
            $tmp = explode("\n", trim($custom_url));            
            foreach( $tmp as $strTmp){
            	$pos = strpos($strTmp, ":");
                if($pos >=0){
                	$tmpKey = substr($strTmp, 0, $pos);
                    $key = trim($tmpKey);
                    $tmpLink = substr($strTmp, $pos+1, strlen($strTmp)-$pos);
                    $haveHttp =  strpos(trim($tmpLink), "http://");
                    //var_dump($haveHttp);die;                   
                    if($haveHttp<0 || ($haveHttp !== false) ){
                        $link = trim($tmpLink);
                    }else{
                        $link = "http://" . trim($tmpLink);
                    }
                    $arrUrl[$key] = $link;
                }  
            }            
            return $arrUrl;
    	}	 	
}	

?>
