<?php
/**
 * @package SJ Zoo Frontpage
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
 defined('_JEXEC') or die;
    $options	= $params->toObject();
    $count = count($list);
    $widthpage_theme3 = $options->width_module/($count - 1); 
     	$image_config = array(
		'output_width'  => $params->get('item_thumbnail_width',  200),
		'output_height' => $params->get('item_thumbnail_height', 200),
		'function'		=> $params->get('item_thumbnail_mode', 'resize_none'),
		'background'	=> $params->get('item_thumbnail_background','#FFFFFF')
	);
    	$image_small = array(
		'output_width'  => $params->get('small_thumb_width',  100),
		'output_height' => $params->get('small_thumb_height', 100),
		'function'		=> $params->get('item_thumbnail_mode', 'resize_none'),
		'background'	=> $params->get('item_thumbnail_background','#FFFFFF')
	);
?> 
<?php if(count($list) > 0){?>  
<!--Intro Text-->
<?php if($options->show_intro): ?>
<div class="intro_text" style="text-align:left; width: <?php echo $options->width_module;?>px;">
    <?php  echo $options->pretext;?>
</div> 
<?php endif;?>
<!--End Intro Text-->      
<div class="yt_frontpage yt_frontpage_theme3" style="width:<?php echo $options->width_module;?>px;">
    <?php
        $count_items = 0;
        foreach($list as $key=>$item) {      
        if($count_items == 0){
    ?>
    <div class="ytc main_frontpage_theme3" style="height:<?php echo $options->item_thumbnail_height;?>px;">
        <div class="main_img_theme3" style="float: left; position: relative; margin-right: 8px;">
             <?php if($options->link_image == 1){?><a href="<?php echo $list[0]['link']; ?>" target = "<?php echo $options->target;?>"><?php } ?><img src="<?php echo YTools::resize($list[0]['image'], $image_config)?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" alt="<?php echo $list[0]['title']; ?>"/></a>
        </div>
        <div class="main_content_theme3 main_content" style="position: relative;padding-left: 10px;">
              <?php if($options->show_main_title == 1){?>
                  <div class="item_title" style="color: <?php echo $options->title_color;?>;font-weight:bold;">
                    <?php if($options->link_caption == 1){?>
                        <a style="color: <?php echo $options->title_color;?>;font-weight:bold;" href="<?php echo $list[0]['link']; ?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" target = "<?php echo $options->target;?>">
                        <?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>
                        </a>
                    <?php }else{ ?>
                           <?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>    
                    <?php }?>                            
                   </div><!--end item_title-->                     
                <?php }?>
             <?php if($options->show_date == 1){?>
                <span class="yt_date"><?php echo date("d F Y", strtotime($list[0]['publish'])); ?></span>
             <?php } ?>
            <?php if($options->show_description == 1){?>
                <p><?php echo YTools::truncate($list[0]['content'], $options->limit_main_description) ?></p>
            <?php } ?>
			
            <?php if($options->show_readmore == 1){?>
            <span><a href="<?php echo $list[0]['link']; ?>" title="<?php YTools::truncate($list[0]['title'], $options->limittitle)?>" target = "<?php echo $options->target;?>"><b>read more</b>&nbsp;&gt;&gt;</a></span>
            <?php } ?>
        </div>
    </div>
    
    <div  style="position: relative;float: left !important;">
    <?php 
        $count_items = 1;
        }elseif($count_items == 1){
     ?>
        <div class="nomal_frontpage_theme3" style="float: left; width:<?php echo $widthpage_theme3;?>px;">
            <div class="nomal_content_theme3" style="width:<?php echo( $widthpage_theme3 -20);?>px; padding-right: 10px; position: relative"> 
               <div class="normal_item_image" style="float: left; margin-right: 10px">
                    <?php if($options->link_image == 1){?><a href="<?php echo $item['link']; ?>" target = "<?php echo $options->target;?>"><?php } ?><img src="<?php echo YTools::resize($item['image'], $image_small)?>" title="<?php echo YTools::truncate($item['title'], $options->limittitle)?>" alt=",<?php echo $item['title']; ?>"/> </a>
               </div>
               <div class="normal_brief_desc">
                   <div class="normal_des" >
                    <?php if($options->show_normal_title == 1):?>
                        <?php if($options->link_caption == 1){?>
                            <a href="<?php echo $item['link']; ?>" target = "<?php echo $options->target;?>">
                        <?php } ?>    
                                <span style="color: <?php echo $options->title_color;?>;font-weight: bold;" title="<?php echo YTools::truncate($item['title'], $options->limittitle)?>"><?php echo YTools::truncate($item['title'], $options->limittitle)?></span>
                        <?php if($options->link_caption == 1){?>    
                            </a>
                        <?php } ?>
                    <?php endif;?>
                    </div>
                     <?php if($options->show_date == 1){?>
                        <div class="yt_date">
                            <span><?php echo date("d F Y", strtotime($item['publish'])); ?></span>
                        </div>
                    <?php } ?>
                    <?php if($options->show_normal_description == 1){?>
                        <div class="normal_des_theme3" style="position: relative;"><?php echo YTools::truncate($item['content'], $options->limit_normal_description)?></div>
                    <?php } ?>
			  </div><!--end normal_brief_desc-->
            </div>
            
        </div>
    <?php }} ?>
    </div>
</div>
 <!--Start Footer Text-->
<?php if($options->show_footer): ?>
<div class="footer_text" style="text-align:left; margin-top: 10px; width: <?php echo $options->width_module;?>px;">
    <?php  echo $options->posttext;?>
</div>
<?php endif;?> 
<!--End Footer Text-->
<?php }else{ echo JText::_('Has no content to show!');}?>
