<?php
/**
 * @package SJ Zoo Frontpage
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
 defined('_JEXEC') or die;
    $options	= $params->toObject();
    $width_content = $options->width_module - $options->item_thumbnail_width - 50;
    $docs = JFactory::getDocument();
    $docs->addStyleDeclaration(
    '#yt_accordion'.$module->id.' a{display:block;}'
    );
    	$image_config = array(
		'output_width'  => $params->get('item_thumbnail_width',  200),
		'output_height' => $params->get('item_thumbnail_height', 200),
		'function'		=> $params->get('item_thumbnail_mode', 'resize_none'),
		'background'	=> $params->get('item_thumbnail_background','#FFFFFF')
	);
    	$image_small = array(
		'output_width'  => $params->get('small_thumb_width',  100),
		'output_height' => $params->get('small_thumb_height', 100),
		'function'		=> $params->get('item_thumbnail_mode', 'resize_none'),
		'background'	=> $params->get('item_thumbnail_background','#FFFFFF')
	);
?>
<script type="text/javascript" language="javascript">
    $jsmart(document).ready(function($){
    	// Setup HoverAccordion for Example 2 with some custom options
    	$('#yt_accordion<?php echo $module->id;?>').hoverAccordion({
    		activateitem: '1',
    		speed: 'fast',
			keepheight : 'false'
    	});
    	$('#yt_accordion<?php echo $module->id;?>').children('li:first').addClass('firstitem');
    	$('#yt_accordion<?php echo $module->id;?>').children('li:last').addClass('lastitem');
    });
</script>
<?php if(count($list) > 0){?>  
<!--Intro Text-->
<?php if($options->show_intro): ?>
<div class="intro_text" style="text-align:left; width: <?php echo $options->width_module;?>px;">
    <?php  echo $options->pretext;?>
</div> 
<?php endif;?>
<!--End Intro Text-->      
<div class="yt_frontpage <?php echo $options->themes; ?> yt_frontpage_theme4" style="width:<?php echo $options->width_module;?>px;">
    <?php
        $count_items = 0;     
        if($count_items == 0){
    ?>
    <div class="main_frontpage" style="float: left;">   
        <div class="main_images">
         <?php if($options->link_image == 1){?><a href="<?php echo $list[0]['link']; ?>" target = "<?php echo $options->target;?>"><?php } ?><img src="<?php echo YTools::resize($list[0]['image'], $image_config)?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" alt="<?php echo $list[0]['title'];?>"/></a>
        </div> 
        <div class="main_content" style="width: <?php echo $options->item_thumbnail_width;?>px;">
            <?php if($options->show_main_title == 1){?>
                  <div class="item_title" style="color: <?php echo $options->title_color;?>;font-weight:bold;">
                    <?php if($options->link_caption == 1){?>
                        <a style="color: <?php echo $options->title_color;?>;font-weight:bold;" href="<?php echo $list[0]['link']; ?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" target = "<?php echo $options->target;?>">
                        <?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>
                        </a>
                    <?php }else{ ?>
                           <?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>    
                    <?php }?>                            
                   </div><!--end item_title-->                     
            <?php }?>
            <?php if($options->show_date == 1){?>
                <p class="yt_date"><?php echo date("d F Y", strtotime($list[0]['publish'])); ?></p>
            <?php } ?>
            <?php if($options->show_description == 1){?>
                <?php echo YTools::truncate($list[0]['content'], $options->limit_main_description)?>
            <?php } ?>
			
            <?php if($options->show_readmore == 1){?>
            <span><a href="<?php echo $list[0]['link']; ?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" target = "<?php echo $options->target;?>"><b>read more</b>&nbsp;&gt;&gt;</a></span>
            <?php } ?>
        </div> 
    </div>
    <?php 
        $count_items = 1;
        }
     ?>
    <div class="normal_frontpage_theme4" style="float: left;width:<?php echo $width_content+25;?>px;">
      <ul id="yt_accordion<?php echo $module->id;?>" class="normal_content_theme4" style="width:100%;float:left; overflow: hidden;display: block;">
        <?php
            foreach($list as $key=>$item) { 
                if($key != 0){
        ?>
        <li class="normal_items_theme4">
                <?php if($options->link_caption == 1){?>
                <a href="<?php echo $item['link']; ?>" target = "<?php echo $options->target;?>">  
                    <strong style="color: <?php echo $options->title_color;?>;font-weight: bold;" title="<?php echo YTools::truncate($item['title'], $options->limittitle)?>"><?php echo YTools::truncate($item['title'], $options->limittitle)?></strong>
                </a>
                <?php } ?>
                <?php if($options->link_caption == 0){?>
                <a target = "<?php echo $options->target;?>">  
                    <strong style="color: <?php echo $options->title_color;?>;font-weight: bold;" title="<?php echo YTools::truncate($item['title'], $options->limittitle)?>"><?php echo YTools::truncate($item['title'], $options->limittitle)?></strong>
                </a>
                <?php } ?>                                
          <ul class="normal_content_accor">
           
            <li class="normal_desc_theme4" style="width:<?php echo $width_content - ($options->small_thumb_width + 52)?>px; float: left; margin-right: 10px">
            <?php if($options->show_date == 1){?>
                    <span><?php echo date("d F Y", strtotime($item['publish'])); ?></span>
            <?php } ?>
            <?php if($options->show_normal_description == 1){?>
                <div style=""><?php echo YTools::truncate($item['content'], $options->limit_normal_description)?></div>
            <?php } ?>		
            </li>
            <li class="normal_item_image" style="overflow: hidden">
                <?php if($options->link_image == 1){?><a href="<?php echo $item['link']; ?>" target = "<?php echo $options->target;?>"><?php } ?><img src="<?php echo YTools::resize($item['image'], $image_small)?>" title="<?php echo YTools::truncate($item['title'], $options->limittitle)?>" alt="<?php echo $item['title'];?>"/></a>
            </li>
          </ul>
        </li>
        <?php }} ?>
      </ul>
  </div>
</div> 
<!--Start Footer Text-->
<?php if($options->show_footer): ?>

<div class="footer_text" style="text-align:left; margin-top: 10px; width: <?php echo $options->width_module;?>px;">
    <?php  echo $options->posttext;?>
</div>
<?php endif;?> 
<!--End Footer Text-->
<?php }else{ echo JText::_('Has no content to show!');}?>
