<?php
/**
 * @package SJ Zoo Frontpage
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
 defined('_JEXEC') or die;
    //Ytools::dump($list);die();
    $options	= $params->toObject();
    $width_content = $options->width_module - $options->item_thumbnail_width - 50;
     	$image_config = array(
		'output_width'  => $params->get('item_thumbnail_width',  200),
		'output_height' => $params->get('item_thumbnail_height', 200),
		'function'		=> $params->get('item_thumbnail_mode', 'resize_none'),
		'background'	=> $params->get('item_thumbnail_background','#FFFFFF')
	);
    	$image_small = array(
		'output_width'  => $params->get('small_thumb_width',  100),
		'output_height' => $params->get('small_thumb_height', 100),
		'function'		=> $params->get('item_thumbnail_mode', 'resize_none'),
		'background'	=> $params->get('item_thumbnail_background','#FFFFFF')
	);
?>
<?php if(count($list) > 0){?>  
<!--Intro Text-->
<?php if($options->show_intro == 1): ?>
<div class="intro_text" style="text-align:left; width: <?php echo $options->width_module;?>px;">
    <?php  echo $options->pretext;?>
</div> 
<?php endif;?>
<!--End Intro Text-->       
<div class="yt_frontpage <?php echo $options->themes; ?>" style="width:<?php echo $options->width_module;?>px;">
    <div class="normal_yt">
        <?php
            $count_items = 0;   
            if($count_items == 0){
        ?>
        <div class="main_frontpage" style="height: <?php echo $options->item_thumbnail_height ?>px;">   
            <div class="main_images">
             <?php if( $options->link_image == 1){?><a href="<?php echo $list[0]['link']; ?>" target = "<?php echo $options->target;?>"><?php } ?><img src="<?php echo YTools::resize($list[0]['image'], $image_config)?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" alt="<?php echo $list[0]['title']; ?>"/></a>
            </div> 
        </div>
        <?php 
            $count_items = 1;
            }
         ?>
        <div class="normal_frontpage_theme2" style="width:<?php echo $width_content;?>px; float: left;">
            <ul class="normal_items_theme2">
            <?php 
                foreach($list as $key=>$item) { 
                    if($key != 0){
            ?>
                <li>
                    <div class="normal_title_theme2" style="color: <?php echo $options->title_color;?>;font-weight: bold;">
                    <?php if( $options->show_normal_title == 1):?>
                        <?php if($options->link_caption == 1){?>
                            <a style="color: <?php echo $options->title_color;?>;font-weight: bold;" href="<?php echo $item['link']; ?>" title="<?php echo YTools::truncate($item['title'], $options->limittitle)?>" target = "<?php echo $options->target;?>">
                         <?php } ?>   
                                <?php echo YTools::truncate($item['title'], $options->limittitle)?>
                         <?php if( $options->link_caption == 1){?>
                            </a>
                         <?php } ?>
                     <?php endif;?>
                    </div>
                    <?php if($options->show_date == 1){?>
                        <div class="yt_date">
                            <span><?php echo date("d F Y", strtotime($item['publish'])); ?></span>
                        </div>
                    <?php } ?>
                    <?php if($options->show_normal_description == 1){?>
                    <div class="normal_desc_theme2"><?php  echo YTools::truncate($item['content'], $options->limit_normal_description)?></div>
                    <?php } ?>
					
                </li>
             <?php }} ?>   
            </ul>
        </div>
    </div>
    <div class="main_content_theme2 main_content">
             <?php if($options->show_main_title == 1){?>
                  <div class="item_title" style="color: <?php echo $options->title_color;?>;font-weight:bold;">
                    <?php if($options->link_caption == 1){?>
                        <a style="color: <?php echo $options->title_color;?>;font-weight:bold;" href="<?php echo $list[0]['link']; ?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" target = "<?php echo $options->target;?>">
                        <?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>
                        </a>
                    <?php }else{ ?>
                           <?php YTools::truncate($list[0]['title'], $options->limittitle)?>    
                    <?php }?>                            
                   </div><!--end item_title-->                     
                <?php }?>
            <?php if($options->show_date == 1){?>
                <p class="yt_date"><?php echo date("d F Y", strtotime($list[0]['publish'])); ?></p>
             <?php } ?>
            <?php if($options->show_description == 1){?>            
                <span><?php echo YTools::truncate($list[0]['content'], $options->limit_main_description)?></span><br />
            <?php } ?>  
			
            <?php if($options->show_readmore == 1){?>
            <p><a href="<?php echo $list[0]['link']; ?>" title="<?php echo YTools::truncate($list[0]['title'], $options->limittitle)?>" target = "<?php echo $options->target;?>"><b>read more</b>&nbsp;&gt;&gt;</a></p>
            <?php } ?>
    </div>
</div>
 <!--Start Footer Text-->
<?php if($options->show_footer ==1): ?>
<div class="footer_text" style="text-align:left; margin-top: 10px; width: <?php echo $options->width_module;?>px;">
    <?php  echo $options->posttext;?>
</div>
<?php endif;?> 
<!--End Footer Text-->
<?php }else{ echo JText::_('Has no content to show!');}?>
